V1SocialClubsId
Club detail; pending content is visible only to its owner
An approved private club can be opened by its direct link, but is not listed in search. Joining requires the owner's approval. Member identities are not public.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
curl -X GET "https://example.com/v1/social/clubs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "club": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "summary": "string", "visibility": "private", "coverImage": { "url": "http://example.com", "alt": "string", "source": "ai_generated" }, "memberCount": 0, "membershipStatus": "none", "isOwner": true, "moderationStatus": "pending", "revision": 1, "directoryVisible": false }}